curl --request DELETE \
--url https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v6/jobs/{jobId}/triggers/{triggerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"id": "<string>",
"parent_job_id": "<string>",
"trigger_type": "FILE_NAME_MATCHES",
"match_type": "EXACT",
"pattern": "<string>"
}Delete a trigger
Soft-deletes the trigger.
Authorizations
Path Parameters
The unique identifier of the job that owns the trigger. Use the reserved value unattached to address triggers that are not attached to any job, which happens when a component defines a trigger whose parent_job_id expression evaluates to nothing.
Response
Successful response
- Option 1
- Option 2
Stored file name matches trigger definition. Fields match_type and pattern are unevaluated and appear in buildtime-evaluatable form.
Show child attributes
Show child attributes
Unique id of the trigger.
Id of the job this trigger belongs to, as the buildtime expression or literal that was saved. Buildtime expressions use JobBuildtimeContext.
FILE_NAME_MATCHES How the pattern is matched against filenames. A literal value or a buildtime expression resolved from component references when the trigger is saved. Buildtime expressions use JobBuildtimeContext.
EXACT, REGEX Filename pattern to match. A literal value or a buildtime expression resolved from component references when the trigger is saved. Buildtime expressions use JobBuildtimeContext.
